[Pkg-virtualbox-commits] r3 - in dists/trunk/virtualbox/debian: . patches
hug at alioth.debian.org
hug at alioth.debian.org
Mon Jun 18 01:12:13 UTC 2007
Author: hug
Date: 2007-06-18 01:12:13 +0000 (Mon, 18 Jun 2007)
New Revision: 3
Added:
dists/trunk/virtualbox/debian/VBox.sh
dists/trunk/virtualbox/debian/patches/03-configure.dpatch
dists/trunk/virtualbox/debian/patches/04-kmake-fixes.dpatch
dists/trunk/virtualbox/debian/virtualbox.dirs
Modified:
dists/trunk/virtualbox/debian/TODO
dists/trunk/virtualbox/debian/changelog
dists/trunk/virtualbox/debian/control
dists/trunk/virtualbox/debian/control.modules.in
dists/trunk/virtualbox/debian/patches/00list
dists/trunk/virtualbox/debian/rules
Log:
* New upstream version.
* Stripped kbuild and yasm from source tarball
* Use Debian's kbuild and yasm instead
* Added myself as uploader
* Build target for module is now all instead of module
Modified: dists/trunk/virtualbox/debian/TODO
===================================================================
--- dists/trunk/virtualbox/debian/TODO 2007-02-21 17:21:14 UTC (rev 2)
+++ dists/trunk/virtualbox/debian/TODO 2007-06-18 01:12:13 UTC (rev 3)
@@ -1,6 +1,44 @@
-stripping sources
+stripping sources - see SOURCE CLEANUP
+
+
check copyright
check trademark
virtualbox: check install:, maybe to much binaries installed?
virtualbox-source: device creation needed?
+
+
+SOURCE CLEANUP
+**************
+
+* removed tools
+* removed kBuild
+
+the following file looked suspicous:
+
+./src/recompiler/tests/pi_10.com: data
+* PI calculator by Betram Felgenhauer
+ * taken from qemu
+
+ ./src/libs/xpcom18a4/xpcom/typelib/xpidl/macplugin/compiler.rsrc: AppleSingle encoded Macintosh file
+ ./src/libs/xpcom18a4/xpcom/typelib/xpidl/macplugin/linker.rsrc: AppleSingle encoded Macintosh file
+ ./src/libs/xpcom18a4/xpcom/typelib/xpidl/macplugin/version.rsrc: AppleSingle encoded Macintosh file
+ ./src/libs/xpcom18a4/xpcom/typelib/xpidl/macplugin/panel.rsrc: AppleSingle encoded Macintosh file
+ ./src/VBox/Frontends/VirtualBox/src/darwin/VM-PkgInfo: Macintosh Application (data): PLVBVM
+ ./src/VBox/Frontends/VirtualBox/src/darwin/PkgInfo: Macintosh Application (data): PLVBOX
+ * various MAC resource files
+
+ ./src/libs/xpcom18a4/xpcom/tests/StringFactoringTests/StringTest.mcp: data
+
+
+ ./src/VBox/Frontends/VirtualBox/images/ico64x01.icns: data
+ ./src/VBox/Frontends/VirtualBox/images/VirtualBox.icns: data
+ * OSX Icon Files
+
+
+ ./src/VBox/Devices/PC/Etherboot-src/pcnet32.zrom: BIOS (ia32) ROM Ext. (40*512)
+ * source code available in same directory
+
+ ./src/VBox/VMM/testcase/dev.tar.gz: gzip compressed data, from Unix, last modified: Wed Aug 4 02:31:06 2004
+ * contains a bunch of device files
+
Added: dists/trunk/virtualbox/debian/VBox.sh
===================================================================
--- dists/trunk/virtualbox/debian/VBox.sh (rev 0)
+++ dists/trunk/virtualbox/debian/VBox.sh 2007-06-18 01:12:13 UTC (rev 3)
@@ -0,0 +1,131 @@
+#!/bin/sh
+#
+# InnoTek VirtualBox
+#
+# Copyright (C) 2006 InnoTek Systemberatung GmbH
+#
+# This file is part of VirtualBox Open Source Edition (OSE), as
+# available from http://www.virtualbox.org. This file is free software;
+# you can redistribute it and/or modify it under the terms of the GNU
+# General Public License as published by the Free Software Foundation,
+# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
+# distribution. VirtualBox OSE is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY of any kind.
+#
+# If you received this file as part of a commercial VirtualBox
+# distribution, then only the terms of your commercial VirtualBox
+# license agreement apply instead of the previous paragraph.
+
+PATH="/usr/bin:/bin:/usr/sbin:/sbin"
+CONFIG="/etc/vbox/vbox.cfg"
+
+if [ "$VBOX_USER_HOME" = "" ]; then
+ if [ ! -d "$HOME/.VirtualBox" ]; then
+ mkdir -p "$HOME/.VirtualBox"
+ fi
+ LOG="$HOME/.VirtualBox/VBoxSVC.log"
+else
+ if [ ! -d "$VBOX_USER_HOME" ]; then
+ mkdir -p "$VBOX_USER_HOME"
+ fi
+ LOG="$VBOX_USER_HOME/VBoxSVC.log"
+fi
+
+
+if [ ! -r "$CONFIG" ]; then
+ echo "Could not find VirtualBox installation. Please reinstall."
+ exit 1
+fi
+
+. "$CONFIG_DIR/$CONFIG"
+
+# Note: This script must not fail if the module was not successfully installed
+# because the user might not want to run a VM but only change VM params!
+
+if [ "$1" = "shutdown" ]; then
+ SHUTDOWN="true"
+elif ! lsmod|grep -q vboxdrv; then
+ cat << EOF
+WARNING: The vboxdrv kernel module is not loaded. Either there is no module
+ available for the current kernel (`uname -r`) or it failed to
+ load. Please recompile the kernel module and install it by
+
+ sudo /etc/init.d/vboxdrv setup
+
+ You will not be able to start VMs until this problem is fixed.
+EOF
+elif [ ! -c /dev/vboxdrv ]; then
+ cat << EOF
+WARNING: The character device /dev/vboxdrv does not exist. Try
+
+ sudo /etc/init.d/virtualbox restart
+
+ and if that is not successful, try to re-install the package.
+
+ You will not be able to start VMs until this problem is fixed.
+EOF
+elif [ ! -w /dev/vboxdrv ]; then
+ if [ "`id | grep vboxusers`" = "" ]; then
+ cat << EOF
+WARNING: You are not a member of the "vboxusers" group. Please add yourself
+ to this group before starting VirtualBox.
+
+ You will not be able to start VMs until this problem is fixed.
+EOF
+ else
+ cat << EOF
+WARNING: /dev/vboxdrv not writable for some reason. If you recently added the
+ current user to the vboxusers group then you have to logout and
+ re-login to take the change effect.
+
+ You will not be able to start VMs until this problem is fixed.
+EOF
+ fi
+fi
+
+if [ -f /etc/vbox/module_not_compiled ]; then
+ cat << EOF
+WARNING: The compilation of the vboxdrv.ko kernel module failed during the
+ installation for some reason. Starting a VM will not be possible.
+ Please consult the User Manual for build instructions.
+EOF
+fi
+
+export LD_LIBRARY_PATH="$INSTALL_DIR"
+
+SERVER_PID=`ps -U \`whoami\` | grep VBoxSVC | awk '{ print $1 }'`
+if [ "$SHUTDOWN" = "" ] && [ "$SERVER_PID" = "" ]; then
+ rm -rf /tmp/.vbox-`whoami`-ipc > /dev/null 2>&1
+ [ -f "$LOG.1" ] && mv "$LOG.1" "$LOG.2"
+ [ -f "$LOG.0" ] && mv "$LOG.0" "$LOG.1"
+ [ -f "$LOG" ] && mv "$LOG" "$LOG.0"
+ "$INSTALL_DIR/VBoxSVC" --daemonize > "$LOG" 2>&1
+fi
+
+if [ "$SHUTDOWN" = "true" ]; then
+ if [ "$SERVER_PID" != "" ]; then
+ kill -TERM $SERVER_PID
+ sleep 2
+ fi
+ exit 0
+fi
+
+APP=`which $0`
+APP=${APP##/*/}
+case "$APP" in
+ VirtualBox)
+ exec "$INSTALL_DIR/VirtualBox" "$@"
+ ;;
+ VBoxManage)
+ exec "$INSTALL_DIR/VBoxManage" "$@"
+ ;;
+ VBoxSDL)
+ exec "$INSTALL_DIR/VBoxSDL" "$@"
+ ;;
+ VBoxVRDP)
+ exec "$INSTALL_DIR/VBoxVRDP" "$@"
+ ;;
+ *)
+ echo "Unknown application - $APP"
+ ;;
+esac
Property changes on: dists/trunk/virtualbox/debian/VBox.sh
___________________________________________________________________
Name: svn:executable
+ *
Modified: dists/trunk/virtualbox/debian/changelog
===================================================================
--- dists/trunk/virtualbox/debian/changelog 2007-02-21 17:21:14 UTC (rev 2)
+++ dists/trunk/virtualbox/debian/changelog 2007-06-18 01:12:13 UTC (rev 3)
@@ -1,5 +1,15 @@
-virtualbox (20070221+debian-1) unstable; urgency=low
+virtualbox (1.4.0-1) experimental; urgency=low
+ * New upstream version.
+ * Stripped kbuild and yasm from source tarball
+ * Use Debian's kbuild and yasm instead
+ * Added myself as uploader
+ * Build target for module is now all instead of module
+
+ -- Philipp Hug <debian at hug.cx> Sun, 17 Jun 2007 18:13:25 +0100
+
+virtualbox (1.3.0.20070221+debian-1) unstable; urgency=low
+
* Initial release (Closes: #406992, #407001, #409711).
-- Daniel Baumann <daniel at debian.org> Wed, 21 Feb 2007 16:31:00 +0100
Modified: dists/trunk/virtualbox/debian/control
===================================================================
--- dists/trunk/virtualbox/debian/control 2007-02-21 17:21:14 UTC (rev 2)
+++ dists/trunk/virtualbox/debian/control 2007-06-18 01:12:13 UTC (rev 3)
@@ -2,8 +2,8 @@
Section: misc
Priority: optional
Maintainer: Daniel Baumann <daniel at debian.org>
-Uploaders: Patrick Winnertz <patrick.winnertz at skolelinux.org>
-Build-Depends: debhelper (>= 5), dpatch, bcc, bin86, bzip2, gcc-3.4, g++-3.4, iasl, libacl1-dev, libasound-dev, libidl-dev, libqt3-mt-dev, libsdl1.2-dev, libxalan110-dev, libxerces27-dev, libxcursor-dev, linux-headers-2.6-amd64 [amd64], linux-headers-2.6-486 [i386], uuid-dev, xalan, xsltproc, zlib1g-dev, libstdc++5
+Uploaders: Patrick Winnertz <patrick.winnertz at skolelinux.org>, Philipp Hug <debian at hug.cx>
+Build-Depends: debhelper (>= 5), dpatch, bcc, bin86, bzip2, gcc-3.4, g++-3.4, iasl, libacl1-dev, libasound-dev, libidl-dev, libqt3-mt-dev, libsdl1.2-dev, libxalan110-dev, libxerces27-dev, libxcursor-dev, linux-headers-2.6-amd64 [amd64], linux-headers-2.6-486 [i386], uuid-dev, xalan, xsltproc, zlib1g-dev, libstdc++5, yasm, kbuild
Standards-Version: 3.7.2
Package: virtualbox
Modified: dists/trunk/virtualbox/debian/control.modules.in
===================================================================
--- dists/trunk/virtualbox/debian/control.modules.in 2007-02-21 17:21:14 UTC (rev 2)
+++ dists/trunk/virtualbox/debian/control.modules.in 2007-06-18 01:12:13 UTC (rev 3)
@@ -2,6 +2,7 @@
Section: misc
Priority: optional
Maintainer: Daniel Baumann <daniel at debian.org>
+Uploaders: Philipp Hug <debian at hug.cx>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Modified: dists/trunk/virtualbox/debian/patches/00list
===================================================================
--- dists/trunk/virtualbox/debian/patches/00list 2007-02-21 17:21:14 UTC (rev 2)
+++ dists/trunk/virtualbox/debian/patches/00list 2007-06-18 01:12:13 UTC (rev 3)
@@ -1 +1,3 @@
-01-compiler
+03-configure.dpatch
+04-kmake-fixes.dpatch
+
Added: dists/trunk/virtualbox/debian/patches/03-configure.dpatch
===================================================================
--- dists/trunk/virtualbox/debian/patches/03-configure.dpatch (rev 0)
+++ dists/trunk/virtualbox/debian/patches/03-configure.dpatch 2007-06-18 01:12:13 UTC (rev 3)
@@ -0,0 +1,29 @@
+#!/bin/sh /usr/share/dpatch/dpatch-run
+## 03-configure.dpatch by Daniel Baumann <daniel at debian.org>
+##
+## DP: Disable linux-header check.
+
+ at DPATCH@
+
+--- virtualbox.patched/configure 2007-06-17 19:21:16.000000000 +0100
++++ virtualbox/configure 2007-06-17 19:15:15.000000000 +0100
+@@ -58,7 +58,7 @@
+ LIBPATHHAL=""
+ LIBHAL="-lhal -ldbus-1"
+ QTDIR="/usr/qt/3 /usr/lib/qt3 /usr/lib/qt-3.3 /usr/share/qt3 /usr/lib64/qt-3.3"
+-KBUILDDIR="`cd $(dirname $0); pwd`/kBuild"
++KBUILDDIR="/usr/share/kBuild"
+ DEVDIR="`cd $(dirname $0); pwd`/tools"
+ if [ -d /lib/modules/`uname -r`/build ]; then
+ LINUX="/lib/modules/`uname -r`/build"
+@@ -233,8 +233,8 @@
+ exit 1
+ ;;
+ esac
+- DEVDIR_BIN="$DEVDIR/$OS.$MACHINE/bin"
+- KBUILDDIR_BIN="$KBUILDDIR/bin/$OS.$MACHINE"
++ DEVDIR_BIN="usr/bin"
++ KBUILDDIR_BIN="/usr/bin"
+ log_success "Determined $OS.$MACHINE"
+
+ # Automatically disable XPCOM on darwin.
Property changes on: dists/trunk/virtualbox/debian/patches/03-configure.dpatch
___________________________________________________________________
Name: svn:executable
+ *
Added: dists/trunk/virtualbox/debian/patches/04-kmake-fixes.dpatch
===================================================================
--- dists/trunk/virtualbox/debian/patches/04-kmake-fixes.dpatch (rev 0)
+++ dists/trunk/virtualbox/debian/patches/04-kmake-fixes.dpatch 2007-06-18 01:12:13 UTC (rev 3)
@@ -0,0 +1,39 @@
+#!/bin/sh /usr/share/dpatch/dpatch-run
+## 04-kmake-fixes.dpatch by Philipp Hug <debian at hug.cx>
+##
+## DP: Disable linux-header check.
+
+ at DPATCH@
+
+diff -ur VirtualBox-OSE-1.4.0/src/VBox/VMM/testcase/tstAsmStructsAsm.asm virtualbox/src/VBox/VMM/testcase/tstAsmStructsAsm.asm
+--- VirtualBox-OSE-1.4.0/src/VBox/VMM/testcase/tstAsmStructsAsm.asm 2007-06-06 07:05:48.000000000 +0100
++++ virtualbox/src/VBox/VMM/testcase/tstAsmStructsAsm.asm 2007-06-17 20:07:29.000000000 +0100
+@@ -26,12 +26,12 @@
+ BITS 64
+ %endif
+
+-%include "../CPUMInternal.mac"
+-%include "../TRPMInternal.mac"
+-%include "../VMMInternal.mac"
++%include "CPUMInternal.mac"
++%include "TRPMInternal.mac"
++%include "VMMInternal.mac"
+ %include "VBox/cpum.mac"
+ %include "VBox/vm.mac"
+-%include "../VMMSwitcher/VMMSwitcher.mac"
++%include "VMMSwitcher/VMMSwitcher.mac"
+ %ifdef DO_GLOBALS
+ %include "tstAsmStructsAsm.mac"
+ %endif
+diff -ur VirtualBox-OSE-1.4.0/src/VBox/VMM/testcase/tstMicroGCA.asm virtualbox/src/VBox/VMM/testcase/tstMicroGCA.asm
+--- VirtualBox-OSE-1.4.0/src/VBox/VMM/testcase/tstMicroGCA.asm 2007-06-06 07:05:48.000000000 +0100
++++ virtualbox/src/VBox/VMM/testcase/tstMicroGCA.asm 2007-06-17 20:06:08.000000000 +0100
+@@ -27,7 +27,7 @@
+ %include "VBox/cpum.mac"
+ %include "VBox/err.mac"
+ %include "VBox/vm.mac"
+-%include "tstMicro.mac"
++%include "testcase/tstMicro.mac"
+
+
+ ;*******************************************************************************
Property changes on: dists/trunk/virtualbox/debian/patches/04-kmake-fixes.dpatch
___________________________________________________________________
Name: svn:executable
+ *
Modified: dists/trunk/virtualbox/debian/rules
===================================================================
--- dists/trunk/virtualbox/debian/rules 2007-02-21 17:21:14 UTC (rev 2)
+++ dists/trunk/virtualbox/debian/rules 2007-06-18 01:12:13 UTC (rev 3)
@@ -66,7 +66,7 @@
# Creating tarball
tar cfz ../virtualbox_$(DATE)+debian.orig.tar.gz ../virtualbox-$(DATE)
-config.status: patch-stamp configure
+config.status: patch configure
dh_testdir
# Configuring package
@@ -83,7 +83,7 @@
dh_testdir
# Building package
- kBuild/env.sh kmk BUILD_TYPE=release
+ kmk BUILD_TYPE=release
touch build-stamp
@@ -105,10 +105,9 @@
dh_installdirs
# Installing virtualbox
- mkdir -p debian/virtualbox/usr/lib
cp -r out/linux.*/release/bin debian/virtualbox/usr/lib/virtualbox
+ cp $(CURDIR)/debian/VBox.sh $(CURDIR)/debian/virtualbox/usr/lib/virtualbox
- mkdir -p debian/virtualbox/usr/bin
ln -s ../lib/virtualbox/VBox.sh debian/virtualbox/usr/bin/VBoxManage
ln -s ../lib/virtualbox/VBox.sh debian/virtualbox/usr/bin/VBoxSDL
ln -s ../lib/virtualbox/VBox.sh debian/virtualbox/usr/bin/VirtualBox
@@ -133,7 +132,7 @@
dh_clean -k
# Build the module
- $(MAKE) modules KSRC=$(KSRC) KVER=$(KVERS)
+ $(MAKE) all KSRC=$(KSRC) KVER=$(KVERS)
# Install the module
install -D -m 0644 vboxdrv.ko debian/$(PACKAGE)-$(KVERS)/lib/modules/$(KVERS)/misc/vboxdrv.ko
Added: dists/trunk/virtualbox/debian/virtualbox.dirs
===================================================================
--- dists/trunk/virtualbox/debian/virtualbox.dirs (rev 0)
+++ dists/trunk/virtualbox/debian/virtualbox.dirs 2007-06-18 01:12:13 UTC (rev 3)
@@ -0,0 +1,2 @@
+usr/bin
+usr/lib
More information about the Pkg-virtualbox-commits
mailing list